TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

Functions
Build Info
Function Categories

## Functions
String | getBuildString ()
String | getCompileTimeString ()
String | getEngineVersion ()
String | getiPhoneToolsVersion ()
Integer | getVersionNumber ()
String | getVersionString ()
Boolean | isDebugBuild ()
void | setCompanyAndProduct (company, product)

## Detailed Description

## Function Documentation

String getBuildString | ( |  | ) |

Use the getBuildString function to determine if this build is a \ release, or a \ build.

Returns
  Returns a string, either \ for a debug build, or \ for a release build.

See also
  getCompileTimeString, getVersionNumber, getVersionString, isDebugBuild

String getCompileTimeString | ( |  | ) |

Use the getCompileTimeString function to determine when the currently running engine was built.

Returns
  Returns a string containing Day Year at Hour:Minute:Second\ showing when this executable was built.

See also
  getBuildString, getVersionNumber, getVersionString, isDebugBuild

String getEngineVersion | ( |  | ) |

Gets the engine version.

String getiPhoneToolsVersion | ( |  | ) |

Returns iPhone Tools Version

Integer getVersionNumber | ( |  | ) |

Use the getVersionNumber function to get the version number of the currently executing engine.

Returns
  Returns an integer representing the engine's version number.

See also
  getBuildString, getCompileTimeString, getVersionString, isDebugBuild

String getVersionString | ( |  | ) |

Use the getVersionString function to get the version name and number for the currently executing engine.

Returns
  Returns a string containing a name and an integer representing the engine's version type and version number.

See also
  getBuildString, getCompileTimeString, getVersionNumber, isDebugBuild

Boolean isDebugBuild | ( |  | ) |

Use the isDebugBuild function to determine if this is a debug build.

Returns
  Returns true if this is a debug build, otherwise false.

See also
  getBuildString, getCompileTimeString, getVersionNumber, getVersionString

void setCompanyAndProduct | ( | company | ,
|  | product |
| ) |  |

Sets the company and product information.